from unicodedata import normalize, combining


def uncombine(text):
    return ''.join([c for c in normalize('NFKD', text) if not combining(c)])


def makeurl(title):
    norm = uncombine(title)
    url = norm.lower()
    url = url.replace(' ', '-')
    url = url.replace('.', '-')
    url = url.replace(':', '-')
    url = url.replace('\'', '')
    url = url.replace('(', '')
    url = url.replace(')', '')
    url = url.replace('\"', '')
    url = url.replace('?', '')
    url = url.strip('-')
    url = url.replace('--', '-')
    url = url.replace('--', '-')
    return url


def fix_unicode_chars(text):
    # replace latin2-unencodable chars with their escape codes
    return unicode(text.encode('iso-8859-2', 'backslashreplace').replace('\\x','#'), 'iso-8859-2')

